QGIS Application - Bug report #19893
It's not possible to delete raster layers in geopackages on Windows
2018-09-19 07:04 PM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Browser

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27717
Description

It seems not possible to delete raster layers stored in geopackages on Windows from the "Browser" panel with QGIS 3.3.0-master
(d99d506e75): a warning message box pops up with the text "Layer URI is malformed: layer [layer URI] cannot be deleted!".

| guess the problem is in https://github.com/qgis/QGIS/blob/master/src/providers/ogr/qgsgeopackagedataitems.cpp#L.360-L364
QStringList pieces( uri.split( ') );
if ( pieces.size() 1=3)

errCause = QStringLiteral( "Layer URI is malformed: layer &lt;b&gt;%1&lt;/b&gt; cannot be deleted!" ).arg( uri );
}

In fact a typical geopackage Layer URI on Windows is GPKG:C:/some/path/geopackage_name.gpkg:layer_name so pieces.size() is
always 4 on Windows.

Related issues:
Related to QGIS Application - Bug report # 17967: Browser: deleting raster in... Closed 2018-01-26

Associated revisions

Revision e62c4eb9 - 2018-09-20 09:17 AM - Alessandro Pasotti

Fix cannot deletete GPKG from raster on windows

Fixes #17967 #19893

History

#1 - 2018-09-20 07:45 AM - Jér6me Guélat

See also #17967

#2 - 2018-09-20 08:35 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#3 - 2018-09-20 09:14 AM - Jiirgen Fischer
- Related to Bug report #17967: Browser: deleting raster in GeoPackage doesn't work added

#4 - 2018-09-20 09:18 AM - Alessandro Pasotti

- Status changed from Open to In Progress
- Pull Request or Patch supplied changed from No to Yes
https://github.com/qgis/QGIS/blob/master/src/providers/ogr/qgsgeopackagedataitems.cpp#L360-L364

PR https://github.com/qgis/QGIS/pull/7963

#5 - 2018-09-20 10:02 AM - Anonymous
- Status changed from In Progress to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|e62c4eb941c5b2e290675f8cab75758857c2a502.

#6 - 2018-09-20 10:03 AM - Alessandro Pasotti
- Resolution set to fixed/implemented
